<template>
  <div class="sw-gs-guide-actions">
    <SwPluginSlot name="gs-guide-actions-before"></SwPluginSlot>

    <SwButton v-if="clients.length === 1"
              class="sw-gs-go-to-client-btn is-circle color-light"
              :title="$t('Go to client')"
              @click="goToClient">
      <SwGsIconJumpTo class="color-dark-secondary size-sm"/>
    </SwButton>

    <SwPluginSlot name="gs-guide-actions-after"></SwPluginSlot>
  </div>
</template>

<script lang="ts">
  import SwPluginSlot from "sw-plugins/SwPluginSlot.vue"
  import SwButton from "@/components/atoms/SwButton.vue";
  import {useScrollToElement} from "../../logic/composables/useScrollToElement";
  import {SwGsIconJumpTo} from "../icons";
  import {useState} from "../../logic/composables/useState";

  export default {
    name: 'SwGsGuideActions',
    components: {
      SwPluginSlot,
      SwButton,
      SwGsIconJumpTo
    },
    setup() {
      const {goToClient} = useScrollToElement('');
      const {clients} = useState();

      return {
        goToClient,
        clients
      }
    }
  }
</script>

<style lang="scss" scoped>
  @import "@/assets/scss/variables";

  .sw-gs-client-actions {
    margin-right: var(--spacer-xs);
  }
</style>
